<mat-card>
  <mat-card-header>
    <mat-card-title>Locations</mat-card-title>
  </mat-card-header>
  <mat-card-content>
    <div class="tableContainer">
      <table mat-table [dataSource]="dataSource" class="adminTable">
        <ng-container [matColumnDef]="'name'">
          <th mat-header-cell *matHeaderCellDef>Name</th>
          <td  mat-cell *matCellDef="let element">{{element.name}}</td>
        </ng-container>
        <ng-container [matColumnDef]="'count'">
          <th mat-header-cell *matHeaderCellDef>Count</th>
          <td  mat-cell *matCellDef="let element">{{getTalliesByItem(element).length}}</td>
        </ng-container>
        <ng-container [matColumnDef]="'volume'">
          <th mat-header-cell *matHeaderCellDef>Volume</th>
          <td  mat-cell *matCellDef="let element">{{settingsHandlerService.getAmountFormatted(getVolumeByItem(element))}}</td>
        </ng-container>
        <ng-container [matColumnDef]="'cancelled'">
          <th mat-header-cell *matHeaderCellDef>Cancelled</th>
          <td  mat-cell *matCellDef="let element">{{getCancelledTallies(element).length}}</td>
        </ng-container>
        <ng-container [matColumnDef]="'cancelledvol'">
          <th mat-header-cell *matHeaderCellDef>Cancelled Vol.</th>
          <td  mat-cell *matCellDef="let element">{{settingsHandlerService.getAmountFormatted(getCancelledVolumeByItem(element))}}</td>
        </ng-container>

        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>

        <!-- Row shown when there is no matching data. -->
        <tr class="mat-row" *matNoDataRow>
          <td class="mat-cell" colspan="5">No data</td>
        </tr>
      </table>
      <mat-paginator [pageSizeOptions]="[10, 20, 50]"
                     showFirstLastButtons
                     aria-label="Select page of locations">
      </mat-paginator>
    </div>
    <div class="statisticsChartContainer">
      <canvas baseChart class="statisticsChart"
              [type]="'line'"
              [data]="talliesChartData"
              [options]="lineChartOptions"
              [legend]="chartLegend">
      </canvas>
    </div>
    <div class="statisticsChartContainer">
      <canvas baseChart class="statisticsChart"
              [type]="'line'"
              [data]="talliesVolumeChartData"
              [options]="lineChartOptions"
              [legend]="chartLegend">
      </canvas>
    </div>
    <div class="statisticsChartContainer">
      <canvas baseChart class="statisticsChart"
              [type]="'line'"
              [data]="cancelledTalliesChartData"
              [options]="lineChartOptions"
              [legend]="chartLegend">
      </canvas>
    </div>
    <div class="statisticsChartContainer">
      <canvas baseChart class="statisticsChart"
              [type]="'line'"
              [data]="cancelledTalliesVolumeChartData"
              [options]="lineChartOptions"
              [legend]="chartLegend">
      </canvas>
    </div>
  </mat-card-content>
</mat-card>
